/********************************************************/
/* Virtual Applications' OpenGL Renderer Source Code    */
/********************************************************/
/* You're allowed to make changes to this file. If the  */
/* changes are constructive, you can e-mail me with the */
/* patch to be applied to this source. You'll be given  */
/* full credits for changes you've made.                */
/********************************************************/
/* Contributors:                                        */
/* Jean-Philip Desjardins (First Code and Maintainer)   */
/* Yves Rioux (Some Sprite Fixes and Fl/Cl Code)		*/
/********************************************************/

#ifndef _RENDERER_H_
#define _RENDERER_H_

extern "C" void PrepareMap(void*);
extern "C" void DrawMap(int, int, int, int, int);
extern "C" void SwapDisplayBuffers();
extern "C" void ProcessDisplayList(void*);

#define DISTANCE_FULL	0
#define DISTANCE_FAR	1
#define DISTANCE_CLOSE	2

struct LISTSPRITE
{
	int*	Donnee;
	int		Distance;
	int		nSprite;
};

#endif