// CustomLvl.cpp : implementation file
//

#include "stdafx.h"
#include "glDuke.h"
#include "CustomLvl.h"
#include "glDukeDlg.h"
#include <DIRECT.H>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CGlDukeDlg *lpMainDlg;

/////////////////////////////////////////////////////////////////////////////
// CCustomLvl dialog


CCustomLvl::CCustomLvl(CWnd* pParent /*=NULL*/)
	: CDialog(CCustomLvl::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCustomLvl)
	m_Level = _T("");
	//}}AFX_DATA_INIT
}


void CCustomLvl::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCustomLvl)
	DDX_Text(pDX, IDC_LEVEL, m_Level);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCustomLvl, CDialog)
	//{{AFX_MSG_MAP(CCustomLvl)
	ON_BN_CLICKED(IDC_BROWSE, OnBrowse)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCustomLvl message handlers

#define FILTER "Duke Nukem 3D User Levels(*.map)\0*.map\0"

void CCustomLvl::OnBrowse() 
{
	// TODO: Add your control notification handler code here
	CFileDialog f(TRUE);
	f.m_pOFN->lpstrFilter = FILTER;
	f.m_pOFN->hwndOwner = m_hWnd;
	char strTemp[256];
	getcwd(strTemp, 256);
	if(f.DoModal() == IDCANCEL)
	{
		return;
	}
	chdir(strTemp);
	m_Level.Format(f.m_pOFN->lpstrFile);
	UpdateData(0);
}

void CCustomLvl::OnDestroy() 
{
	CDialog::OnDestroy();
	
	// TODO: Add your message handler code here
	UpdateData(1);
	lpMainDlg->m_Level.Format("%s", m_Level);
}
