#ifndef _DIWRAPPER_H_
#define _DIWRAPPER_H_
#define DIRECTINPUT_VERSION 0x500
#include <DINPUT.H>

struct DIWRAPPER
{
	~DIWRAPPER();
	int		Initialize();
	int		InitializeKeyboard(HWND);
	int		InitializeMouse(HWND);
	int		InitializeJoystick(HWND, GUID*);
	void	EmumerateJoysticks(HWND);
	void	UpdateKeyboardData();
	void	UpdateMouseData();
	char	lpKeyboardData[256];
	char	strKeyboardKeys[256][256];
	DIMOUSESTATE	MouseState;
};

#endif